Skip to main content
PATCH
/
v2
/
workspaces
/
{name}
Update a workspace
curl --request PATCH \
  --url https://api.topograph.co/v2/workspaces/{name} \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: <api-key>' \
  --data '
{
  "legalName": "Acme Paris SAS (updated)"
}
'
{
  "id": "<string>",
  "name": "paris-office",
  "legalName": "Acme Paris SAS",
  "isDefault": true,
  "createdAt": "2023-11-07T05:31:56Z",
  "updatedAt": "2023-11-07T05:31:56Z"
}

Authorizations

x-api-key
string
header
required

Path Parameters

name
string
required

The workspace name

Body

application/json

New legal entity name

Example:

"Acme Paris SAS (updated)"

Response

Workspace updated successfully

id
string
required

Unique workspace identifier

name
string
required

Workspace name (alphanumeric, hyphens, underscores, max 64 chars)

Example:

"paris-office"

Legal entity name associated with this workspace

Example:

"Acme Paris SAS"

isDefault
boolean
required

Whether this is the default workspace for the account

createdAt
string<date-time>
updatedAt
string<date-time>